tbb::flow Namespace Reference

## Namespaces

| interface10
| interface11
| internal

## Enumerations

enum | concurrency { unlimited = 0 , serial = 1 }
| An enumeration the provides the two most common concurrency levels: unlimited and serial. More...

## Functions

template<typename K , typename T >
K | key_from_message (const T &t)

## Enumeration Type Documentation

## concurrency

enum tbb::flow::concurrency

An enumeration the provides the two most common concurrency levels: unlimited and serial.

Enumerator
unlimited |
serial |

Definition at line 106 of file flow_graph.h.

{ unlimited = 0, serial = 1 };
tbb::flow::unlimited
@ unlimited
Definition: flow_graph.h:106
tbb::flow::serial
@ serial
Definition: flow_graph.h:106

## Function Documentation

## key_from_message()

template<typename K , typename T >

K tbb::flow::key_from_message | ( | const T & | t | ) |

Definition at line 721 of file flow_graph.h.

{
return t.key();
}

Referenced by streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector< UserFunctor >::get_key(), and tbb::flow::interface11::key_from_message().

Here is the caller graph for this function:

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.